Subject: bug#15925: 24.3.50; error when customizing whitespace-display-mappings

From: Drew Adams <[email-masked]>
Date: Fri, 25 Sep 2020 09:07:31 -0700 (PDT)

> I very much hope we leave the ^M and ^L display alone.  This is what
> we did since day one (and yes, \n is a special case), and I'd rather
> we didn't change that just in the name of consistency.

+1.  But why not for all control chars?

I haven't been following this thread - no
doubt I'm not seeing special cases etc.
___

Currently, `ctl-arrow' controls the display.
That works for me.

And any code that changes the display-table
entry of a char has its intended effect.
Also good.
___

(Maybe `ctl-arrow' could be extended, to allow
different non-nil values to specify different
representations, including \n and ?\n.  For
compatibility, nil would still specify octal.)